MrSID Decode SDK for Raster Reference Manual 9.5.4.4709

- Main Page
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
LTIMetadataDumper Class Reference

dumps contents of database in text form More...

`#include <lti_metadataDumper.h>`

Inheritance diagram for LTIMetadataDumper:
[legend]
Collaboration diagram for LTIMetadataDumper:
[legend]

## Public Member Functions
| LTIMetadataDumper (const LTIMetadataDatabase &database, LTIOStreamInf *stream, bool abbreviated=false)
| constructor More...
| ~LTIMetadataDumper ()
| destructor More...
LT_STATUS | write () const
| write records to stream More...
void | setWriteInputFilename (bool enable)
| INPUT_NAME metadata control. More...
LT_STATUS | writeFormatted (bool isShapefile=false) const
| write all well-known records to stream, printing them very prettily (for usage by end-users and UIs) More...
Public Member Functions inherited from LTIMetadataWriter
virtual | ~LTIMetadataWriter ()
| destructor More...

## Static Public Member Functions
static LT_STATUS | writeRecord (const LTIMetadataRecord &record, LTIOStreamInf &stream, bool abbreviated=false)
| write a single record to stream More...
static LT_STATUS | writeRecordData (const LTIMetadataRecord &record, LTIOStreamInf &stream, int idx)
| write a single data item for a single record to stream More...
static LT_STATUS | writeFormattedRecord (const LTIMetadataRecord &record, LTIOStreamInf &stream, bool isShapefile=false)
| write a given record to stream, printing very prettily More...

## Additional Inherited Members
Protected Member Functions inherited from LTIMetadataWriter
| LTIMetadataWriter (const LTIMetadataDatabase &database)
| default constructor More...
Protected Attributes inherited from LTIMetadataWriter
const LTIMetadataDatabase & | m_database
| the database to be written from More...

## Detailed Description

This class writes the given database in ASCII text, readable format to a stream or stdout.

Definition at line 35 of file lti_metadataDumper.h.

## Constructor & Destructor Documentation

LTIMetadataDumper::LTIMetadataDumper | ( | const LTIMetadataDatabase & | database,
|  | LTIOStreamInf * | stream,
|  | bool | abbreviated = `false`
| ) |  |

This constructor creates an LTIMetadataWriter which will pretty-print the records in the database to a stream or to stdout.

Parameters

  database | the database to write from
  stream | the stream to write to; if NULL, will write to stdout
  abbreviated | dump only the first several elements of each record

LTIMetadataDumper::~LTIMetadataDumper | ( | ) |  |

## Member Function Documentation

void LTIMetadataDumper::setWriteInputFilename | ( | bool | enable) |  |

Control if the IMAGE::INPUT_NAME tag is written out. This can useful for certain debugging and validation situations.

The default is to always write the INPUT_NAME tag.

Parameters

  enable | set to true to not skip the INPUT_NAME tag

LT_STATUS LTIMetadataDumper::write | ( | ) |  | const
| virtual

Implements LTIMetadataWriter.

LT_STATUS LTIMetadataDumper::writeFormatted | ( | bool | isShapefile = `false`) |  | const

static LT_STATUS LTIMetadataDumper::writeFormattedRecord | ( | const LTIMetadataRecord & | record,
|  | LTIOStreamInf & | stream,
|  | bool | isShapefile = `false`
| ) |  |
| static

static LT_STATUS LTIMetadataDumper::writeRecord | ( | const LTIMetadataRecord & | record,
|  | LTIOStreamInf & | stream,
|  | bool | abbreviated = `false`
| ) |  |
| static

This function writes (pretty-prints) the given record to the stream.

It is public and static because it is useful on its own for debugging.

Parameters

  record | the record to write
  stream | the stream to write to
  abbreviated | dump only the first several elements of the record

Returns
  status code indicating success or failure

static LT_STATUS LTIMetadataDumper::writeRecordData | ( | const LTIMetadataRecord & | record,
|  | LTIOStreamInf & | stream,
|  | int | idx
| ) |  |
| static

This function writes (pretty-prints) the given data item of a record to the stream.

Parameters

  record | the record to write
  stream | the stream to write to
  idx | the index of the data item to write

Returns
  status code indicating success or failure

The documentation for this class was generated from the following file:

- lti_metadataDumper.h

LizardTech